from flask import Flask, render_template, request, flash
import re

app = Flask(__name__)
app.secret_key = "efgtrdjhum_HGTMXQ7842"

@app.route("/")
def index():
        flash("Abonnez-vous")
        return render_template("sabonner.html")

@app.route("/sabonner", methods=['POST', 'GET'])
def sabonner():
        prenom = request.form['name_input']
        email = request.form['email_input']

        regex1 = re.compile(r'[A-zÀ-ú -]{3,10}')
        #regex2 = re.compile(r'([A-Za-z0-9]+[.-_])*[A-Za-z0-9]+@[A-Za-z0-9-]+(\.[A-Z|a-z]{2,})+')

        if not prenom or not email:
                flash("Veuillez compléter tous les champs !")
                return render_template("sabonner.html")
        else:
                if not re.fullmatch(regex1, prenom):
                        flash("Merci de saisir un prénom valide !")
                        return render_template("sabonner.html")

                #elif not re.fullmatch(regex2, email):
                        #flash("Attention !! votre adresse électronique doit être valide !")
                        #return render_template("sabonner.html")
                else:
                        flash("Votre demande a été enregistrée !")
                        return render_template("sabonner.html")



